
/****************************************************************************
 *                       NI-SWITCH Topologies
 *---------------------------------------------------------------------------
 *   Copyright (c) National Instruments 1998-2020.  All Rights Reserved.
 *---------------------------------------------------------------------------
 *
 * Title:    niswitchTopologies.h
 * Purpose:  Define topologies for use with NI-SWITCH
 *
 ****************************************************************************/

#ifndef ___niswitch_topologies_h___
#define ___niswitch_topologies_h___

#define NISWITCH_TOPOLOGY_CONFIGURED_TOPOLOGY              "Configured Topology"

#define NISWITCH_TOPOLOGY_1127_1_WIRE_64X1_MUX             "1127/1-Wire 64x1 Mux"
#define NISWITCH_TOPOLOGY_1127_2_WIRE_32X1_MUX             "1127/2-Wire 32x1 Mux"
#define NISWITCH_TOPOLOGY_1127_2_WIRE_4X8_MATRIX           "1127/2-Wire 4x8 Matrix"
#define NISWITCH_TOPOLOGY_1127_4_WIRE_16X1_MUX             "1127/4-Wire 16x1 Mux"
#define NISWITCH_TOPOLOGY_1127_INDEPENDENT                 "1127/Independent"

#define NISWITCH_TOPOLOGY_1128_1_WIRE_64X1_MUX             "1128/1-Wire 64x1 Mux"
#define NISWITCH_TOPOLOGY_1128_2_WIRE_32X1_MUX             "1128/2-Wire 32x1 Mux"
#define NISWITCH_TOPOLOGY_1128_2_WIRE_4X8_MATRIX           "1128/2-Wire 4x8 Matrix"
#define NISWITCH_TOPOLOGY_1128_4_WIRE_16X1_MUX             "1128/4-Wire 16x1 Mux"
#define NISWITCH_TOPOLOGY_1128_INDEPENDENT                 "1128/Independent"

#define NISWITCH_TOPOLOGY_1129_2_WIRE_16X16_MATRIX         "1129/2-Wire 16x16 Matrix"
#define NISWITCH_TOPOLOGY_1129_2_WIRE_4X64_MATRIX          "1129/2-Wire 4x64 Matrix"
#define NISWITCH_TOPOLOGY_1129_2_WIRE_8X32_MATRIX          "1129/2-Wire 8x32 Matrix"
#define NISWITCH_TOPOLOGY_1129_2_WIRE_DUAL_4X32_MATRIX     "1129/2-Wire Dual 4x32 Matrix"
#define NISWITCH_TOPOLOGY_1129_2_WIRE_DUAL_8X16_MATRIX     "1129/2-Wire Dual 8x16 Matrix"
#define NISWITCH_TOPOLOGY_1129_2_WIRE_QUAD_4X16_MATRIX     "1129/2-Wire Quad 4x16 Matrix"

#define NISWITCH_TOPOLOGY_1130_1_WIRE_256X1_MUX            "1130/1-Wire 256x1 Mux"
#define NISWITCH_TOPOLOGY_1130_1_WIRE_4X64_MATRIX          "1130/1-Wire 4x64 Matrix"
#define NISWITCH_TOPOLOGY_1130_1_WIRE_8X32_MATRIX          "1130/1-Wire 8x32 Matrix"
#define NISWITCH_TOPOLOGY_1130_1_WIRE_DUAL_128X1_MUX       "1130/1-Wire Dual 128x1 Mux"
#define NISWITCH_TOPOLOGY_1130_1_WIRE_OCTAL_32X1_MUX       "1130/1-Wire Octal 32x1 Mux"
#define NISWITCH_TOPOLOGY_1130_1_WIRE_QUAD_64X1_MUX        "1130/1-Wire Quad 64x1 Mux"
#define NISWITCH_TOPOLOGY_1130_1_WIRE_SIXTEEN_16X1_MUX     "1130/1-Wire Sixteen 16x1 Mux"
#define NISWITCH_TOPOLOGY_1130_2_WIRE_128X1_MUX            "1130/2-Wire 128x1 Mux"
#define NISWITCH_TOPOLOGY_1130_2_WIRE_4X32_MATRIX          "1130/2-Wire 4x32 Matrix"
#define NISWITCH_TOPOLOGY_1130_2_WIRE_OCTAL_16X1_MUX       "1130/2-Wire Octal 16x1 Mux"
#define NISWITCH_TOPOLOGY_1130_2_WIRE_QUAD_32X1_MUX        "1130/2-Wire Quad 32x1 Mux"
#define NISWITCH_TOPOLOGY_1130_4_WIRE_64X1_MUX             "1130/4-Wire 64x1 Mux"
#define NISWITCH_TOPOLOGY_1130_4_WIRE_QUAD_16X1_MUX        "1130/4-Wire Quad 16x1 Mux"
#define NISWITCH_TOPOLOGY_1130_INDEPENDENT                 "1130/Independent"

#define NISWITCH_TOPOLOGY_1160_16_SPDT                     "1160/16-SPDT"

#define NISWITCH_TOPOLOGY_1161_8_SPDT                      "1161/8-SPDT"

#define NISWITCH_TOPOLOGY_1163R_OCTAL_4X1_MUX              "1163R/Octal 4x1 Mux"

#define NISWITCH_TOPOLOGY_1166_16_DPDT                     "1166/16-DPDT"
#define NISWITCH_TOPOLOGY_1166_32_SPDT                     "1166/32-SPDT"

#define NISWITCH_TOPOLOGY_1167_INDEPENDENT                 "1167/Independent"

#define NISWITCH_TOPOLOGY_1169_100_SPST                    "1169/100-SPST"
#define NISWITCH_TOPOLOGY_1169_50_DPST                     "1169/50-DPST"

#define NISWITCH_TOPOLOGY_1175_1_WIRE_196X1_MUX            "1175/1-Wire 196x1 Mux"
#define NISWITCH_TOPOLOGY_1175_2_WIRE_95X1_MUX             "1175/2-Wire 95x1 Mux"
#define NISWITCH_TOPOLOGY_1175_2_WIRE_98X1_MUX             "1175/2-Wire 98x1 Mux"

#define NISWITCH_TOPOLOGY_1190_QUAD_4X1_MUX                "1190/Quad 4x1 Mux"

#define NISWITCH_TOPOLOGY_1191_QUAD_4X1_MUX                "1191/Quad 4x1 Mux"

#define NISWITCH_TOPOLOGY_1192_8_SPDT                      "1192/8-SPDT"

#define NISWITCH_TOPOLOGY_1193_16X1_TERMINATED_MUX         "1193/16x1 Terminated Mux"
#define NISWITCH_TOPOLOGY_1193_32X1_MUX                    "1193/32x1 Mux"
#define NISWITCH_TOPOLOGY_1193_DUAL_16X1_MUX               "1193/Dual 16x1 Mux"
#define NISWITCH_TOPOLOGY_1193_DUAL_8X1_TERMINATED_MUX     "1193/Dual 8x1 Terminated Mux"
#define NISWITCH_TOPOLOGY_1193_INDEPENDENT                 "1193/Independent"
#define NISWITCH_TOPOLOGY_1193_QUAD_4X1_TERMINATED_MUX     "1193/Quad 4x1 Terminated Mux"
#define NISWITCH_TOPOLOGY_1193_QUAD_8X1_MUX                "1193/Quad 8x1 Mux"

#define NISWITCH_TOPOLOGY_1194_QUAD_4X1_MUX                "1194/Quad 4x1 Mux"

#define NISWITCH_TOPOLOGY_1195_QUAD_4X1_MUX                "1195/Quad 4x1 Mux"

#define NISWITCH_TOPOLOGY_2501_1_WIRE_48X1_AMPLIFIED_MUX   "2501/1-Wire 48x1 Amplified Mux"
#define NISWITCH_TOPOLOGY_2501_1_WIRE_48X1_MUX             "2501/1-Wire 48x1 Mux"
#define NISWITCH_TOPOLOGY_2501_2_WIRE_24X1_AMPLIFIED_MUX   "2501/2-Wire 24x1 Amplified Mux"
#define NISWITCH_TOPOLOGY_2501_2_WIRE_24X1_MUX             "2501/2-Wire 24x1 Mux"
#define NISWITCH_TOPOLOGY_2501_2_WIRE_4X6_MATRIX           "2501/2-Wire 4x6 Matrix"
#define NISWITCH_TOPOLOGY_2501_2_WIRE_DUAL_12X1_MUX        "2501/2-Wire Dual 12x1 Mux"
#define NISWITCH_TOPOLOGY_2501_2_WIRE_QUAD_6X1_MUX         "2501/2-Wire Quad 6x1 Mux"
#define NISWITCH_TOPOLOGY_2501_4_WIRE_12X1_MUX             "2501/4-Wire 12x1 Mux"

#define NISWITCH_TOPOLOGY_2503_1_WIRE_48X1_MUX             "2503/1-Wire 48x1 Mux"
#define NISWITCH_TOPOLOGY_2503_2_WIRE_24X1_MUX             "2503/2-Wire 24x1 Mux"
#define NISWITCH_TOPOLOGY_2503_2_WIRE_4X6_MATRIX           "2503/2-Wire 4x6 Matrix"
#define NISWITCH_TOPOLOGY_2503_2_WIRE_DUAL_12X1_MUX        "2503/2-Wire Dual 12x1 Mux"
#define NISWITCH_TOPOLOGY_2503_2_WIRE_QUAD_6X1_MUX         "2503/2-Wire Quad 6x1 Mux"
#define NISWITCH_TOPOLOGY_2503_4_WIRE_12X1_MUX             "2503/4-Wire 12x1 Mux"

#define NISWITCH_TOPOLOGY_2510_INDEPENDENT                 "2510/Independent"

#define NISWITCH_TOPOLOGY_2512_INDEPENDENT                 "2512/Independent"

#define NISWITCH_TOPOLOGY_2514_INDEPENDENT                 "2514/Independent"

#define NISWITCH_TOPOLOGY_2515_INDEPENDENT                 "2515/Independent"

#define NISWITCH_TOPOLOGY_2520_80_SPST                     "2520/80-SPST"

#define NISWITCH_TOPOLOGY_2521_40_DPST                     "2521/40-DPST"

#define NISWITCH_TOPOLOGY_2522_53_SPDT                     "2522/53-SPDT"

#define NISWITCH_TOPOLOGY_2523_26_DPDT                     "2523/26-DPDT"

#define NISWITCH_TOPOLOGY_2524_1_WIRE_128X1_MUX            "2524/1-Wire 128x1 Mux"
#define NISWITCH_TOPOLOGY_2524_1_WIRE_DUAL_64X1_MUX        "2524/1-Wire Dual 64x1 Mux"
#define NISWITCH_TOPOLOGY_2524_1_WIRE_OCTAL_16X1_MUX       "2524/1-Wire Octal 16x1 Mux"
#define NISWITCH_TOPOLOGY_2524_1_WIRE_QUAD_32X1_MUX        "2524/1-Wire Quad 32x1 Mux"
#define NISWITCH_TOPOLOGY_2524_1_WIRE_SIXTEEN_8X1_MUX      "2524/1-Wire Sixteen 8x1 Mux"

#define NISWITCH_TOPOLOGY_2525_2_WIRE_64X1_MUX             "2525/2-Wire 64x1 Mux"
#define NISWITCH_TOPOLOGY_2525_2_WIRE_DUAL_32X1_MUX        "2525/2-Wire Dual 32x1 Mux"
#define NISWITCH_TOPOLOGY_2525_2_WIRE_OCTAL_8X1_MUX        "2525/2-Wire Octal 8x1 Mux"
#define NISWITCH_TOPOLOGY_2525_2_WIRE_QUAD_16X1_MUX        "2525/2-Wire Quad 16x1 Mux"
#define NISWITCH_TOPOLOGY_2525_2_WIRE_SIXTEEN_4X1_MUX      "2525/2-Wire Sixteen 4x1 Mux"

#define NISWITCH_TOPOLOGY_2526_1_WIRE_158X1_MUX            "2526/1-Wire 158x1 Mux"
#define NISWITCH_TOPOLOGY_2526_2_WIRE_79X1_MUX             "2526/2-Wire 79x1 Mux"

#define NISWITCH_TOPOLOGY_2527_1_WIRE_64X1_MUX             "2527/1-Wire 64x1 Mux"
#define NISWITCH_TOPOLOGY_2527_1_WIRE_DUAL_32X1_MUX        "2527/1-Wire Dual 32x1 Mux"
#define NISWITCH_TOPOLOGY_2527_2_WIRE_32X1_MUX             "2527/2-Wire 32x1 Mux"
#define NISWITCH_TOPOLOGY_2527_2_WIRE_DUAL_16X1_MUX        "2527/2-Wire Dual 16x1 Mux"
#define NISWITCH_TOPOLOGY_2527_4_WIRE_16X1_MUX             "2527/4-Wire 16x1 Mux"
#define NISWITCH_TOPOLOGY_2527_INDEPENDENT                 "2527/Independent"

#define NISWITCH_TOPOLOGY_2529_2_WIRE_4X32_MATRIX          "2529/2-Wire 4x32 Matrix"
#define NISWITCH_TOPOLOGY_2529_2_WIRE_8X16_MATRIX          "2529/2-Wire 8x16 Matrix"
#define NISWITCH_TOPOLOGY_2529_2_WIRE_DUAL_4X16_MATRIX     "2529/2-Wire Dual 4x16 Matrix"

#define NISWITCH_TOPOLOGY_2530_1_WIRE_128X1_MUX            "2530/1-Wire 128x1 Mux"
#define NISWITCH_TOPOLOGY_2530_1_WIRE_4X32_MATRIX          "2530/1-Wire 4x32 Matrix"
#define NISWITCH_TOPOLOGY_2530_1_WIRE_8X16_MATRIX          "2530/1-Wire 8x16 Matrix"
#define NISWITCH_TOPOLOGY_2530_1_WIRE_DUAL_64X1_MUX        "2530/1-Wire Dual 64x1 Mux"
#define NISWITCH_TOPOLOGY_2530_1_WIRE_OCTAL_16X1_MUX       "2530/1-Wire Octal 16x1 Mux"
#define NISWITCH_TOPOLOGY_2530_1_WIRE_QUAD_32X1_MUX        "2530/1-Wire Quad 32x1 Mux"
#define NISWITCH_TOPOLOGY_2530_2_WIRE_4X16_MATRIX          "2530/2-Wire 4x16 Matrix"
#define NISWITCH_TOPOLOGY_2530_2_WIRE_64X1_MUX             "2530/2-Wire 64x1 Mux"
#define NISWITCH_TOPOLOGY_2530_2_WIRE_DUAL_32X1_MUX        "2530/2-Wire Dual 32x1 Mux"
#define NISWITCH_TOPOLOGY_2530_2_WIRE_QUAD_16X1_MUX        "2530/2-Wire Quad 16x1 Mux"
#define NISWITCH_TOPOLOGY_2530_4_WIRE_32X1_MUX             "2530/4-Wire 32x1 Mux"
#define NISWITCH_TOPOLOGY_2530_4_WIRE_DUAL_16X1_MUX        "2530/4-Wire Dual 16x1 Mux"
#define NISWITCH_TOPOLOGY_2530_INDEPENDENT                 "2530/Independent"

#define NISWITCH_TOPOLOGY_2531_1_WIRE_4X128_MATRIX         "2531/1-Wire 4x128 Matrix"
#define NISWITCH_TOPOLOGY_2531_1_WIRE_8X64_MATRIX          "2531/1-Wire 8x64 Matrix"
#define NISWITCH_TOPOLOGY_2531_1_WIRE_DUAL_4X64_MATRIX     "2531/1-Wire Dual 4x64 Matrix"
#define NISWITCH_TOPOLOGY_2531_1_WIRE_DUAL_8X32_MATRIX     "2531/1-Wire Dual 8x32 Matrix"
#define NISWITCH_TOPOLOGY_2531_1_WIRE_SIXTEEN_2X16_MATRIX  "2531/1-Wire Sixteen 2x16 Matrix"

#define NISWITCH_TOPOLOGY_2532_1_WIRE_16X32_MATRIX         "2532/1-Wire 16x32 Matrix"
#define NISWITCH_TOPOLOGY_2532_1_WIRE_4X128_MATRIX         "2532/1-Wire 4x128 Matrix"
#define NISWITCH_TOPOLOGY_2532_1_WIRE_8X64_MATRIX          "2532/1-Wire 8x64 Matrix"
#define NISWITCH_TOPOLOGY_2532_1_WIRE_DUAL_16X16_MATRIX    "2532/1-Wire Dual 16x16 Matrix"
#define NISWITCH_TOPOLOGY_2532_1_WIRE_DUAL_4X64_MATRIX     "2532/1-Wire Dual 4x64 Matrix"
#define NISWITCH_TOPOLOGY_2532_1_WIRE_DUAL_8X32_MATRIX     "2532/1-Wire Dual 8x32 Matrix"
#define NISWITCH_TOPOLOGY_2532_1_WIRE_QUAD_4X32_MATRIX     "2532/1-Wire Quad 4x32 Matrix"
#define NISWITCH_TOPOLOGY_2532_1_WIRE_SIXTEEN_2X16_MATRIX  "2532/1-Wire Sixteen 2x16 Matrix"
#define NISWITCH_TOPOLOGY_2532_2_WIRE_16X16_MATRIX         "2532/2-Wire 16x16 Matrix"
#define NISWITCH_TOPOLOGY_2532_2_WIRE_4X64_MATRIX          "2532/2-Wire 4x64 Matrix"
#define NISWITCH_TOPOLOGY_2532_2_WIRE_8X32_MATRIX          "2532/2-Wire 8x32 Matrix"
#define NISWITCH_TOPOLOGY_2532_2_WIRE_DUAL_4X32_MATRIX     "2532/2-Wire Dual 4x32 Matrix"

#define NISWITCH_TOPOLOGY_2533_1_WIRE_4X64_MATRIX          "2533/1-Wire 4x64 Matrix"

#define NISWITCH_TOPOLOGY_2534_1_WIRE_8X32_MATRIX          "2534/1-Wire 8x32 Matrix"

#define NISWITCH_TOPOLOGY_2535_1_WIRE_4X136_MATRIX         "2535/1-Wire 4x136 Matrix"

#define NISWITCH_TOPOLOGY_2536_1_WIRE_8X68_MATRIX          "2536/1-Wire 8x68 Matrix"

#define NISWITCH_TOPOLOGY_2540_1_WIRE_8X9_MATRIX           "2540/1-Wire 8x9 Matrix"

#define NISWITCH_TOPOLOGY_2541_1_WIRE_8X12_MATRIX          "2541/1-Wire 8x12 Matrix"

#define NISWITCH_TOPOLOGY_2542_QUAD_2X1_TERMINATED_MUX     "2542/Quad 2x1 Terminated Mux"

#define NISWITCH_TOPOLOGY_2543_DUAL_4X1_TERMINATED_MUX     "2543/Dual 4x1 Terminated Mux"

#define NISWITCH_TOPOLOGY_2544_8X1_TERMINATED_MUX          "2544/8x1 Terminated Mux"

#define NISWITCH_TOPOLOGY_2545_4X1_TERMINATED_MUX          "2545/4x1 Terminated Mux"

#define NISWITCH_TOPOLOGY_2546_DUAL_4X1_MUX                "2546/Dual 4x1 Mux"

#define NISWITCH_TOPOLOGY_2547_8X1_MUX                     "2547/8x1 Mux"

#define NISWITCH_TOPOLOGY_2548_4_SPDT                      "2548/4-SPDT"

#define NISWITCH_TOPOLOGY_2549_TERMINATED_2_SPDT           "2549/Terminated 2-SPDT"

#define NISWITCH_TOPOLOGY_2554_4X1_MUX                     "2554/4x1 Mux"

#define NISWITCH_TOPOLOGY_2555_4X1_TERMINATED_MUX          "2555/4x1 Terminated Mux"

#define NISWITCH_TOPOLOGY_2556_DUAL_4X1_MUX                "2556/Dual 4x1 Mux"

#define NISWITCH_TOPOLOGY_2557_8X1_MUX                     "2557/8x1 Mux"

#define NISWITCH_TOPOLOGY_2558_4_SPDT                      "2558/4-SPDT"

#define NISWITCH_TOPOLOGY_2559_TERMINATED_2_SPDT           "2559/Terminated 2-SPDT"

#define NISWITCH_TOPOLOGY_2564_16_SPST                     "2564/16-SPST"
#define NISWITCH_TOPOLOGY_2564_8_DPST                      "2564/8-DPST"

#define NISWITCH_TOPOLOGY_2565_16_SPST                     "2565/16-SPST"

#define NISWITCH_TOPOLOGY_2566_16_SPDT                     "2566/16-SPDT"
#define NISWITCH_TOPOLOGY_2566_8_DPDT                      "2566/8-DPDT"

#define NISWITCH_TOPOLOGY_2567_INDEPENDENT                 "2567/Independent"

#define NISWITCH_TOPOLOGY_2568_15_DPST                     "2568/15-DPST"
#define NISWITCH_TOPOLOGY_2568_31_SPST                     "2568/31-SPST"

#define NISWITCH_TOPOLOGY_2569_100_SPST                    "2569/100-SPST"
#define NISWITCH_TOPOLOGY_2569_50_DPST                     "2569/50-DPST"

#define NISWITCH_TOPOLOGY_2570_20_DPDT                     "2570/20-DPDT"
#define NISWITCH_TOPOLOGY_2570_40_SPDT                     "2570/40-SPDT"

#define NISWITCH_TOPOLOGY_2571_66_SPDT                     "2571/66-SPDT"

#define NISWITCH_TOPOLOGY_2575_1_WIRE_196X1_MUX            "2575/1-Wire 196x1 Mux"
#define NISWITCH_TOPOLOGY_2575_2_WIRE_95X1_MUX             "2575/2-Wire 95x1 Mux"
#define NISWITCH_TOPOLOGY_2575_2_WIRE_98X1_MUX             "2575/2-Wire 98x1 Mux"

#define NISWITCH_TOPOLOGY_2576_2_WIRE_64X1_MUX             "2576/2-Wire 64x1 Mux"
#define NISWITCH_TOPOLOGY_2576_2_WIRE_DUAL_32X1_MUX        "2576/2-Wire Dual 32x1 Mux"
#define NISWITCH_TOPOLOGY_2576_2_WIRE_OCTAL_8X1_MUX        "2576/2-Wire Octal 8x1 Mux"
#define NISWITCH_TOPOLOGY_2576_2_WIRE_QUAD_16X1_MUX        "2576/2-Wire Quad 16x1 Mux"
#define NISWITCH_TOPOLOGY_2576_2_WIRE_SIXTEEN_4X1_MUX      "2576/2-Wire Sixteen 4x1 Mux"
#define NISWITCH_TOPOLOGY_2576_INDEPENDENT                 "2576/Independent"

#define NISWITCH_TOPOLOGY_2584_1_WIRE_12X1_MUX             "2584/1-Wire 12x1 Mux"
#define NISWITCH_TOPOLOGY_2584_1_WIRE_DUAL_6X1_MUX         "2584/1-Wire Dual 6x1 Mux"
#define NISWITCH_TOPOLOGY_2584_2_WIRE_6X1_MUX              "2584/2-Wire 6x1 Mux"
#define NISWITCH_TOPOLOGY_2584_INDEPENDENT                 "2584/Independent"

#define NISWITCH_TOPOLOGY_2585_1_WIRE_10X1_MUX             "2585/1-Wire 10x1 Mux"

#define NISWITCH_TOPOLOGY_2586_10_SPST                     "2586/10-SPST"
#define NISWITCH_TOPOLOGY_2586_5_DPST                      "2586/5-DPST"

#define NISWITCH_TOPOLOGY_2590_4X1_MUX                     "2590/4x1 Mux"

#define NISWITCH_TOPOLOGY_2591_4X1_MUX                     "2591/4x1 Mux"

#define NISWITCH_TOPOLOGY_2593_16X1_MUX                    "2593/16x1 Mux"
#define NISWITCH_TOPOLOGY_2593_8X1_TERMINATED_MUX          "2593/8x1 Terminated Mux"
#define NISWITCH_TOPOLOGY_2593_DUAL_4X1_TERMINATED_MUX     "2593/Dual 4x1 Terminated Mux"
#define NISWITCH_TOPOLOGY_2593_DUAL_8X1_MUX                "2593/Dual 8x1 Mux"
#define NISWITCH_TOPOLOGY_2593_INDEPENDENT                 "2593/Independent"

#define NISWITCH_TOPOLOGY_2594_4X1_MUX                     "2594/4x1 Mux"

#define NISWITCH_TOPOLOGY_2595_4X1_MUX                     "2595/4x1 Mux"

#define NISWITCH_TOPOLOGY_2596_DUAL_6X1_MUX                "2596/Dual 6x1 Mux"

#define NISWITCH_TOPOLOGY_2597_6X1_TERMINATED_MUX          "2597/6x1 Terminated Mux"

#define NISWITCH_TOPOLOGY_2598_DUAL_TRANSFER               "2598/Dual Transfer"

#define NISWITCH_TOPOLOGY_2599_2_SPDT                      "2599/2-SPDT"

#define NISWITCH_TOPOLOGY_2720_INDEPENDENT                 "2720/Independent"

#define NISWITCH_TOPOLOGY_2722_INDEPENDENT                 "2722/Independent"

#define NISWITCH_TOPOLOGY_2725_INDEPENDENT                 "2725/Independent"

#define NISWITCH_TOPOLOGY_2727_INDEPENDENT                 "2727/Independent"

#define NISWITCH_TOPOLOGY_2737_2_WIRE_4X64_MATRIX          "2737/2-Wire 4x64 Matrix"

#define NISWITCH_TOPOLOGY_2738_2_WIRE_8X32_MATRIX          "2738/2-Wire 8x32 Matrix"

#define NISWITCH_TOPOLOGY_2739_2_WIRE_16X16_MATRIX         "2739/2-Wire 16x16 Matrix"

#define NISWITCH_TOPOLOGY_2746_QUAD_4X1_MUX                "2746/Quad 4x1 Mux"

#define NISWITCH_TOPOLOGY_2747_DUAL_8X1_MUX                "2747/Dual 8x1 Mux"

#define NISWITCH_TOPOLOGY_2748_16X1_MUX                    "2748/16x1 Mux"

#define NISWITCH_TOPOLOGY_2790_INDEPENDENT                 "2790/Independent"

#define NISWITCH_TOPOLOGY_2796_DUAL_6X1_MUX                "2796/Dual 6x1 Mux"

#define NISWITCH_TOPOLOGY_2797_6X1_TERMINATED_MUX          "2797/6x1 Terminated Mux"

#define NISWITCH_TOPOLOGY_2798_DUAL_TRANSFER               "2798/Dual Transfer"

#define NISWITCH_TOPOLOGY_2799_2_SPDT                      "2799/2-SPDT"
#endif